import java.util.*;
import java.io.*;

public class sol_ik_20 {
    
    private final double INF = 1e9;
    private final int UNIT = 1000;
    private final int DISCOUNT_PER_UNIT = 500;
    private final double MAX_DISCOUNT = 0.2;
    
    private boolean hasBit(int mask, int bit) {
        return (mask & (1 << bit)) != 0;
    }
    
    public void solve(Scanner in, PrintWriter out) {
        int n = in.nextInt();
        int[] costs = new int[n];
        for (int i = 0; i < n; i++) {
            costs[i] = in.nextInt();
        }
        double res = INF;
        for (int mask = 0; mask < (1 << n); mask++) {
            int first = 0;
            int second = 0;
            int fullUnits = 0;
            for (int b = 0; b < n; b++) {
                if (hasBit(mask, b)) {
                    first += costs[b];
                    fullUnits += costs[b] / UNIT;
                } else {
                    second += costs[b];
                }
            }
            int couponSum = fullUnits * DISCOUNT_PER_UNIT;
            double secondWithDiscount = second - Math.min(second * MAX_DISCOUNT,
                    couponSum);
            res = Math.min(res, first + secondWithDiscount);
        }
        out.printf("%.10f%n", res);
    }
    
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        new sol_ik_20().solve(in, out);
        out.flush();
    }
}
