import java.util.*;
import java.io.*;

public class sol_ik_30 {

    private final double INF = 1e9;
    private final int UNIT = 1000;
    private final int DISCOUNT_PER_UNIT = 500;
    private final double MAX_DISCOUNT = 0.2;
    private final int MAX_TIME = 1800;

    private double getTotalCost(List<Integer> costs, int pos) {
        int first = 0;
        int second = 0;
        int fullUnits = 0;
        for (int i = 0; i < costs.size(); i++) {
            if (i < pos) {
                first += costs.get(i);
                fullUnits += costs.get(i) / UNIT;
            } else {
                second += costs.get(i);
            }
        }
        int couponSum = fullUnits * DISCOUNT_PER_UNIT;
        double secondWithDiscount = second - Math.min(second * MAX_DISCOUNT,
                    couponSum);
        return first + secondWithDiscount;
    }
   
    private double forFixedOrder(List<Integer> costs) {
        double res = INF;
        for (int i = 0; i <= costs.size(); i++) {
            res = Math.min(res, getTotalCost(costs, i));
        }
        return res;
    }
    
    public void solve(Scanner in, PrintWriter out) {
        int n = in.nextInt();
        List<Integer> costs = new ArrayList<>();
        for (int i = 0; i < n; i++) {
            costs.add(in.nextInt());
        }
        Collections.sort(costs);
        double res = forFixedOrder(costs);
        Collections.reverse(costs);
        res = Math.min(forFixedOrder(costs), res);
        long start = System.currentTimeMillis();
        for (int rep = 1; ; rep++) {
            if (System.currentTimeMillis() - start > MAX_TIME)
                break;
            Collections.shuffle(costs);
            res = Math.min(forFixedOrder(costs), res);
        }       
        out.printf("%.10f%n", res);
    }

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        new sol_ik_30().solve(in, out);
        out.flush();
    }
}
