import java.util.*;
import java.io.*;

public class sol_ik_70 {

    private final int UNIT = 1000;
    private final int DISCOUNT_PER_UNIT = 500;
    private final double MAX_DISCOUNT = 0.2;

    private double getTotalCost(int firstCost, int secondCost, 
            int fullUnits) {
        int couponSum = fullUnits * DISCOUNT_PER_UNIT;
        double secondCostWithDiscount = secondCost 
                - Math.min(MAX_DISCOUNT * secondCost, couponSum);
        return firstCost + secondCostWithDiscount;
    }
    
    int[] solveKnapsack(int[] weights, int totalWeight) {
        int n = weights.length;
        int[][] dp = new int[n + 1][totalWeight + 1];
        for (int pos = 0; pos < n; pos++) {
            for (int weight = 0; weight <= totalWeight; weight++) {
                dp[pos + 1][weight] = Math.max(dp[pos + 1][weight], 
                        dp[pos][weight]);
                if (weight >= weights[pos]) {
                    dp[pos + 1][weight] = Math.max(dp[pos + 1][weight],
                            dp[pos][weight - weights[pos]] 
                            + weights[pos] / UNIT);
                }
            }
        }
        return dp[n];
    }
    
    public void solve(Scanner in, PrintWriter out) {
        int n = in.nextInt();
        int[] costs = new int[n];
        int totalCost = 0;
        for (int i = 0; i < n; i++) {
            costs[i] = in.nextInt();
            totalCost += costs[i];
        }
        int[] maxFullUnits = solveKnapsack(costs, totalCost);
        double res = totalCost;
        for (int firstCost = 0; firstCost <= totalCost; firstCost++) {
            res = Math.min(res, 
                    getTotalCost(firstCost, totalCost - firstCost, 
                            maxFullUnits[firstCost]));
        }
        out.printf("%.10f%n", res);
    }
    
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        new sol_ik_70().solve(in, out);
        out.flush();
    }
}
    
