import java.util.*;
import java.io.*;

public class sol_ik_greedy_wa {

    private final double INF = 1e9;
    private final int UNIT = 1000;
    private final int DISCOUNT_PER_UNIT = 500;
    private final double MAX_DISCOUNT = 0.2;
    
    private double getTotalCost(List<Integer> costs, int pos) {
        int first = 0;
        int second = 0;
        int fullUnits = 0;
        for (int i = 0; i < costs.size(); i++) {
            if (i < pos) {
                first += costs.get(i);
                fullUnits += costs.get(i) / UNIT;
            } else {
                second += costs.get(i);
            }
        }
        int couponSum = fullUnits * DISCOUNT_PER_UNIT;
        double secondWithDiscount = second - Math.min(second * MAX_DISCOUNT,
                    couponSum);
        return first + secondWithDiscount;
    }
   
    private double forFixedOrder(List<Integer> costs) {
        double res = INF;
        for (int i = 0; i <= costs.size(); i++) {
            res = Math.min(res, getTotalCost(costs, i));
        }
        return res;
    }
    
    public double getSolution(int[] c) {
        List<Integer> costs = new ArrayList<>();
        for (int i = 0; i < c.length; i++) {
            costs.add(c[i]);
        }
        Collections.sort(costs, new Comparator<Integer>() {
            @Override
            public int compare(Integer a, Integer b) {
                int c1 = a / UNIT;
                int c2 = b / UNIT;
                if (c1 == 0) {
                    if (c2 == 0)
                        return Integer.compare(a, b);
                    return 1;
                }
                if (c2 == 0) {
                    return -1;
                }
                double ratio1 = (double) a / c1;
                double ratio2 = (double) b / c2;
                return Double.compare(ratio1, ratio2);
            }
        });
        double res = forFixedOrder(costs);
        Collections.reverse(costs);
        res = Math.min(forFixedOrder(costs), res);     
        return res;
    }
    
    public void solve(Scanner in, PrintWriter out) {
        int n = in.nextInt();
        int[] c = new int[n];
        for (int i = 0; i < n; i++) {
            c[i] = in.nextInt();
        }
        out.printf("%.10f%n", getSolution(c));
    }

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        PrintWriter out = new PrintWriter(System.out);
        new sol_ik_greedy_wa().solve(in, out);
        out.flush();
    }
}
