#include "testlib.h"
#include <vector>

int GetAnswer(int shift, int a, std::vector<int> const &count) {
    int sum = 0;
    for (int i = 0; i != a; ++i) {
        sum += count[(i + shift) % count.size()];
    }
    return sum;
}

int main(int argc, char **argv) {    
    setName("moscow 2015 6-9 run checker");
    registerTestlibCmd(argc, argv);
    
    int a = inf.readInt();
    int b = inf.readInt();
    int n = inf.readInt();
    
    std::vector<int> count(b, 0);
    for (int i = 0; i != n; ++i) {
        int curr = inf.readInt();
        ++count[b - (curr - 1) % b - 1];
    }
    
    int judge_shift = ans.readInt(0, b - 1);
    int judge_ans = ans.readInt();
    
    int part_shift = ouf.readInt(0, b - 1);
    int part_ans = ouf.readInt();
    
    int judge_real = GetAnswer(judge_shift, a, count);
    int part_real = GetAnswer(part_shift, a, count);
    
    if (judge_real != judge_ans) {
        quitf(_fail, "Judge got %d but reported %d", judge_real, judge_ans);
    }
    if (part_real < judge_real) {
        quitf(_fail, "Participant got %d, but judge answer is greater: %d", part_real, judge_real);
    }
    
    if (part_real != part_ans) {
        quitf(_wa, "Participant got %d but reported %d", part_real, part_ans);
    }
    if (part_real > judge_real) {
        quitf(_wa, "Better solution exists. Found %d, expected %d", part_real, judge_real);
    }
    
    quitf(_ok, "Shift %d, answer %d. The force is strong with this one", part_shift, part_real);
    
    return 0;
}
